env._G = GLOBAL
env.require = _G.require
env.STRINGS = _G.STRINGS
env.resolvefilepath = _G.resolvefilepath

PrefabFiles = {"combatmedic",
               "combatmedic_none",
               "combatrunner",
               "combatrunner_none"}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/combatmedic.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/combatmedic.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/combatmedic.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/combatmedic.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/combatmedic_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/combatmedic_silho.xml" ),

    Asset( "IMAGE", "bigportraits/combatmedic.tex" ),
    Asset( "ATLAS", "bigportraits/combatmedic.xml" ),

    Asset( "IMAGE", "images/avatars/avatar_combatmedic.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_combatmedic.xml" ),

    Asset( "IMAGE", "images/avatars/avatar_ghost_combatmedic.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_combatmedic.xml" ),

    Asset( "IMAGE", "images/saveslot_portraits/combatrunner.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/combatrunner.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/combatrunner.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/combatrunner.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/combatrunner_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/combatrunner_silho.xml" ),

    Asset( "IMAGE", "bigportraits/combatrunner.tex" ),
    Asset( "ATLAS", "bigportraits/combatrunner.xml" ),

    Asset( "IMAGE", "images/avatars/avatar_combatrunner.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_combatrunner.xml" ),

    Asset( "IMAGE", "images/avatars/avatar_ghost_combatrunner.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_combatrunner.xml" ),
}

STRINGS.CHARACTER_TITLES.COMBATMEDIC = "The Fearsome Doctorate"
STRINGS.CHARACTER_NAMES.COMBATMEDIC = "Combat Medic"
STRINGS.CHARACTER_DESCRIPTIONS.COMBATMEDIC = "* Regeneration\n* Heal AoE when <30% HP\n* Faster Revive\n* More HP on Revive"
STRINGS.NAMES.COMBATMEDIC = "Medic"
STRINGS.CHARACTERS.COMBATMEDIC = require "speech_combatmedic"

_G.TUNING.GAMEMODE_STARTING_ITEMS.LAVAARENA.COMBATMEDIC = {"livingstaff", "reedtunic", "wovengarland"}

STRINGS.CHARACTER_TITLES.COMBATRUNNER = "The Fastest Man Alive"
STRINGS.CHARACTER_NAMES.COMBATRUNNER = "Combat Runner"
STRINGS.CHARACTER_DESCRIPTIONS.COMBATRUNNER = "* Faster\n* Draws Aggro periodically\n"
STRINGS.NAMES.COMBATRUNNER = "Runner"
STRINGS.CHARACTERS.COMBATRUNNER = require "speech_combatrunner"

_G.TUNING.GAMEMODE_STARTING_ITEMS.LAVAARENA.COMBATRUNNER = {"forginghammer", "splintmail"}


AddModCharacter("combatmedic", "MALE")
AddModCharacter("combatrunner", "MALE")
