
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {
    Asset("SCRIPT", "scripts/prefabs/player_common.lua"),
}
local prefabs =
{
}

local start_inv = {}

local function onload(inst)
end

local common_postinit = function(inst)
end

local forge_fn = function(inst)
    if inst.prefab == "combatmedic" then
        inst:DoTaskInTime(0, function(inst)
            inst:AddComponent("itemtyperestrictions")
            inst.components.itemtyperestrictions:SetRestrictions({"melees", "books", "darts"})
            end)
        inst:AddComponent("passive_healaura")

        inst:AddComponent("corpsereviver")
        inst.components.corpsereviver:SetReviverSpeedMult(2.5)
        inst.components.corpsereviver:SetAdditionalReviveHealthPercent(90)

        inst:AddComponent("buffable")
    end
end

local master_postinit = function(inst)
    inst.components.health:SetMaxHealth(150)
    inst.components.hunger:SetMax(200)
    inst.components.sanity:SetMax(200)

    inst.components.hunger:SetRate(1)

    -- Health regen
    inst.components.health:StartRegen(1, 1) --1 HP 1 second

    -- Damage multiplier
    inst.components.combat.damagemultiplier = (1.2) -- 20% higher than wilson's damage

    --Not afraid of monsters
    inst.components.sanity.neg_aura_mult = 0

    inst.OnLoad = onload
    inst.OnNewSpawn = onload

    inst.forge_fn = forge_fn
end

return MakePlayerCharacter("combatmedic", prefabs, assets, common_postinit, master_postinit, start_inv)
