local Passive_DrawAggro = Class(function(self, player)
    self.player = player
    self.recharge_rate = 30

    self.player:DoPeriodicTask(self.recharge_rate * 60, function() self:ApplyDrawAggro() end)
end)

function Passive_DrawAggro:ApplyDrawAggro()
    local x, y, z = inst.Transform:GetWorldPosition()
    local ents = TheSim:FindEntities(x, y, z, 100, {"LA_mob"})
    for i, v in ipairs(ents) do
        v:AttemptNewTarget(v, self.player)
    end
end

return Passive_DrawAggro
